FingerprintsList Container Runtime Insights grouped by image

List Container Runtime Insights grouped by image

curl -X GET "https://api.prd.rad.security/accounts/example_string/container_runtime_insights/by_image?cluster_ids=example_string&namespaces=John%20Doe&pod_names=John%20Doe&container_names=John%20Doe&running_only=true&include_states=example_string&exclude_states=example_string&q=example_string&page=25&page_size=25&sort=example_string" \
  -H "Content-Type: application/json"
{
  "entries": [
    {
      "accountID": "example_string",
      "containerImageDigest": "example_string",
      "containerImageNames": [
        "John Doe"
      ],
      "containersCount": 10,
      "maxCreatedAt": "example_string",
      "states": [
        "example_string"
      ]
    }
  ],
  "page": 25,
  "page_count": 25,
  "page_size": 25,
  "total_count": 10
}
GET
/accounts/{account_id}/container_runtime_insights/by_image
GET
Base URLstring

Target server for requests. Edit to use your own host.

query
namespacesstring

Kubernetes namespace

query
pod_namesstring

Kubernetes Pod name

query
running_onlyboolean

Only return insights for Running containers

query
include_statesstring

Comma-separated insight states to include. One of: no_data, capturing_baseline, baseline_captured, drift_detected

query
exclude_statesstring

Comma-separated insight states to exclude. Takes priority over include_states. One of: no_data, capturing_baseline, baseline_captured, drift_detected

query
qstring

Query string to filter insights

query
pageinteger

Page number starting from 1

query
page_sizeinteger

Page size. Default: 50

query
sortstring

Sort by field. Default: created_at:desc

Request Preview
Response

Response will appear here after sending the request

Path Parameters

Query Parameters

namespacesstring

Kubernetes namespace

pod_namesstring

Kubernetes Pod name

container_namesstring

Container name

running_onlyboolean

Only return insights for Running containers

include_statesstring

Comma-separated insight states to include. One of: no_data, capturing_baseline, baseline_captured, drift_detected

exclude_statesstring

Comma-separated insight states to exclude. Takes priority over include_states. One of: no_data, capturing_baseline, baseline_captured, drift_detected

qstring

Query string to filter insights

pageinteger

Page number starting from 1

page_sizeinteger

Page size. Default: 50

sortstring

Sort by field. Default: created_at:desc

Responses

entriesarray
pageinteger
page_countinteger
page_sizeinteger
total_countinteger